# 🔮 Shell Whisperer 🔮

Shell Whisperer is a command-line tool that generates CLI (Command Line Interface) commands based on natural language input. Powered by OpenAI's GPT-3.5-turbo language model, Shell Whisperer can understand a wide range of tasks described in plain English and provide the corresponding shell commands. Optionally, it can also provide explanations of how the generated commands work.

## Features

- Generate shell commands based on natural language descriptions.
- Supports a variety of tasks, from file management to system administration.
- Option to provide explanations for the generated commands.
- User-friendly (🧢) command-line interface.

## Installation

To install Shell Whisperer, you need to have Python 3.8 or higher installed on your system. You can then use the following steps:

1. Clone the Shell Whisperer repository to your local machine:
    ```shell
   git clone https://github.com/suitedaces/command-whisperer.git
   ```

2. Navigate to the project's root directory:
   ```shell
   cd shell-whisperer
   ```

3. Use Poetry to install the project's dependencies:
   ```shell
   poetry install
   ```
